import { HttpHandler } from './HttpHandler';
import { HttpRequest } from './HttpRequest';
import { HttpResponse } from './HttpResponse';
interface ServerOptions {
    uploadDir: string;
}
type HttpErrorFn = (request: HttpRequest, response: HttpResponse, error: Error) => HttpResponse;
export declare abstract class Server {
    config: ServerOptions;
    onError?: HttpErrorFn;
    constructor(config: ServerOptions);
    protected abstract on(method: 'get' | 'post' | 'patch' | 'delete' | 'options' | 'put', path: string, middlewares: Array<HttpHandler>): void;
    abstract listen(port: number, callback: () => void): void;
    setErrorHandler(onError: HttpErrorFn): void;
    get(path: string, ...middlewares: Array<HttpHandler>): void;
    post(path: string, ...middlewares: Array<HttpHandler>): void;
    put(path: string, ...middlewares: Array<HttpHandler>): void;
    patch(path: string, ...middlewares: Array<HttpHandler>): void;
    delete(path: string, ...middlewares: Array<HttpHandler>): void;
    options(path: string, ...middlewares: Array<HttpHandler>): void;
}
export {};
//# sourceMappingURL=Server.d.ts.map