"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Server = void 0;
class Server {
    constructor(config) {
        this.config = config;
    }
    setErrorHandler(onError) {
        this.onError = onError;
    }
    get(path, ...middlewares) {
        this.on('get', path, middlewares);
    }
    post(path, ...middlewares) {
        this.on('post', path, middlewares);
    }
    put(path, ...middlewares) {
        this.on('put', path, middlewares);
    }
    patch(path, ...middlewares) {
        this.on('patch', path, middlewares);
    }
    delete(path, ...middlewares) {
        this.on('delete', path, middlewares);
    }
    options(path, ...middlewares) {
        this.on('options', path, middlewares);
    }
}
exports.Server = Server;
